# Get SCIM user by ID

Search for a SCIM user by user ID. <br><br>**Required permissions**: `apps:read`, `[appId]:read`, `users:read`.

Endpoint: GET /scim/Users/{user_id}
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    The user ID to search for

## Header parameters:

  - `Accept` (string, required)
    application/scim+json

## Response 200 fields (application/json):

  - `schemas` (array, required)
    List of included SCIM schemas that are used to indicate the attributes contained within a resource.

  - `userName` (string, required)
    Unique identifier of the user. In Transmit, the username can be used for password authentication unless a primary email is used instead.

  - `name` (object)
    Full name

  - `name.honorificPrefix` (string)
    Title

  - `name.givenName` (string)
    User's first name

  - `name.familyName` (string)
    User's last name

  - `name.middleName` (string)
    User's middle name

  - `displayName` (string)
    The name of the user, suitable for display to end-users

  - `preferredLanguage` (string)
    Indicates the user's preferred written or spoken languages and is
      generally used for selecting a localized user interface

  - `active` (boolean)
    A Boolean value indicating the user's administrative status

  - `emails` (array)
    Email addresses for the user.

  - `phoneNumbers` (array)
    Phone numbers for the user.

  - `photos` (array)
    A URI that is a uniform resource locator (as defined in Section 1.1.3 of [RFC3986]) that points to a resource location representing the user's image.

  - `addresses` (array)
    The user's addresses

  - `id` (string, required)
    The ID of the user

  - `externalId` (string)
    The external ID of the user

  - `meta` (object, required)
    A complex attribute containing resource metadata

  - `meta.resourceType` (string)
    Resource type

  - `meta.created` (string)
    The date time that the resource was created

  - `meta.lastModified` (string)
    The date time that the resource was last modified

  - `meta.location` (string)
    The URI of the resource

  - `custom_user_fields` (object)
    Custom user fields defined by the tenant schema

  - `urn:ietf:params:scim:schemas:extension:CustomAppData:2.0:User` (object)
    Custom app data object for app-related user info

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User` (object, required)
    Extended user fields

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.status` (string, required)
    Enum: "Active", "Disabled", "Pending"

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.lastAuth` (string, required)
    The last time the user authenticated

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation` (object, required)
    Password information

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expired` (boolean, required)
    Whether the password is currently expired

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.temporary` (boolean, required)
    Whether the password must be reset after first use

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.updated_at` (number, required)
    The date the password was last updated, as unix epoch in milliseconds

  - `urn:ietf:params:scim:schemas:extension:UserExtended:2.0:User.passwordInformation.expires_in` (string)
    The date the password will be expired

## Response 404 fields (application/json):

  - `schemas` (string, required)

  - `status` (number, required)
    Example: 404

  - `detail` (any)

